Skip to content

telephony.phoneNumbers.get

One number.

Reference

GET/api/v1/organizations/telephony-configs/{config_id}/phone-numbers/{phone_number_id}

Auth
API key in X-API-Key
Content
none
Returns
200 · PhoneNumberResponse

Arguments

ArgumentInTypeRequiredDescription
config_idpathintegerrequired
phone_number_idpathintegerrequired

Example request

curl -X GET "https://api.decibyl.ai/api/v1/organizations/telephony-configs/<config_id>/phone-numbers/<phone_number_id>" \
  -H "X-API-Key: dcb_your_key"

Response

{
  "id": 1,
  "telephony_configuration_id": 1,
  "address": "string",
  "address_normalized": "string",
  "address_type": "string",
  "country_code": "string",
  "label": "string",
  "inbound_workflow_id": 1,
  "inbound_workflow_name": "string",
  "callback_workflow_id": 1,
  "inbound_contact_list_id": 1,
  "inbound_require_known_caller": false,
  "inbound_max_calls_per_caller": 1,
  "inbound_call_window_hours": 24,
  "inbound_allow_list": [
    "string"
  ],
  "is_active": true,
  "is_default_caller_id": true,
  "extra_metadata": {},
  "created_at": "2026-09-14T09:30:00Z",
  "updated_at": "2026-09-14T09:30:00Z",
  "status": "active",
  "carrier_number_id": "string",
  "provisioned_at": "2026-09-14T09:30:00Z",
  "released_at": "2026-09-14T09:30:00Z",
  "provider_sync": {
    "ok": true,
    "message": "string"
  },
  "predeclaration_status": "string"
}

Errors

StatusWhen
404Not found
422Validation Error